twitter4j.api

## Interface SavedSearchesResourcesAsync

All Known Subinterfaces:
  AsyncTwitter

    public interface SavedSearchesResourcesAsync

Since:
  Twitter4J 3.0.0
Author:
  Yusuke Yamamoto - yusuke at mac.com

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `createSavedSearch(String query)` Creates a saved search for the authenticated user.
`void` `destroySavedSearch(int id)` Destroys a saved search for the authenticated user.
`void` `getSavedSearches()` Returns the authenticated user's saved search queries.
`void` `showSavedSearch(int id)` Retrieve the data for a saved search owned by the authenticating user specified by the given id.

### Method Detail

#### getSavedSearches

    void getSavedSearches()

Returns the authenticated user's saved search queries.
This method calls https://api.twitter.com/1.1/saved_searches.json blocking.

Since:
  Twitter4J 3.0.0
See Also:
  GET saved_searches | Twitter Developers

#### showSavedSearch

    void showSavedSearch(int id)

Retrieve the data for a saved search owned by the authenticating user specified by the given id.
This method calls https://api.twitter.com/1.1/saved_searches/show/:id.json

Parameters:
  `id` - The id of the saved search to be retrieved.
Since:
  Twitter4J 3.0.0
See Also:
  GET saved_searches/show/:id | Twitter Developers

#### createSavedSearch

    void createSavedSearch(String query)

Creates a saved search for the authenticated user.
This method calls https://api.twitter.com/1.1/saved_searches/saved_searches/create.json

Parameters:
  `query` - the query string
Since:
  Twitter4J 3.0.0
See Also:
  POST saved_searches/create | Twitter Developers

#### destroySavedSearch

    void destroySavedSearch(int id)

Destroys a saved search for the authenticated user. The search specified by id must be owned by the authenticating user.
This method calls https://api.twitter.com/1.1/saved_searches/destroy/id.json

Parameters:
  `id` - The id of the saved search to be deleted.
Since:
  Twitter4J 3.0.0
See Also:
  POST saved_searches/destroy/:id | Twitter Developers